## org.jfree.data
Class DefaultValueDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.DefaultValueDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.io.ObjectInputValidation, java.io.Serializable, Value, ValueDataset

public class DefaultValueDataset
extends AbstractDataset
implements ValueDataset, java.lang.Cloneable, java.io.Serializable

A default implementation of the `ValueDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultValueDataset()` Constructs a new dataset, initially empty.
`DefaultValueDataset(double value)` Creates a new dataset.
`DefaultValueDataset(java.lang.Number value)` Creates a new dataset.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this dataset for equality with an arbitrary object.
`java.lang.Number` `getValue()` Returns the value.
`int` `hashCode()` Returns a hash code.
`void` `setValue(java.lang.Number value)` Sets the value.

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultValueDataset

    public DefaultValueDataset()

  Constructs a new dataset, initially empty.

### DefaultValueDataset

    public DefaultValueDataset(double value)

  Creates a new dataset.

Parameters:
  `value` - the value.

### DefaultValueDataset

    public DefaultValueDataset(java.lang.Number value)

  Creates a new dataset.

Parameters:
  `value` - the initial value.

Method Detail

### getValue

    public java.lang.Number getValue()

  Returns the value.

  Specified by:
    `getValue` in interface `Value`
  Returns:
    the value.

### setValue

    public void setValue(java.lang.Number value)

  Sets the value. A `DatasetChangeEvent` is sent to all registered listeners.

  Parameters:
    `value` - the new value.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this dataset for equality with an arbitrary object.

  Parameters:
    `obj` - the object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code.

  Returns:
    a hash code.